# Resources

Here are some very useful resources for learning Git.

## Git Documentation

Here is the [official documentation on Git](https://git-scm.com/doc).

## Git Tutorials by Atlassian

Atlassian has very good [tutorials on how to use git](https://www.atlassian.com/git/tutorials),
however, this does mention BitBucket rather than GitLab.

## Learn Git Branching

If you want to have a visual walkthrough of how to create branches using the
command line, [Learn Git Branching](https://learngitbranching.js.org/) is a
great resource. However, some of the commands provided do not perfectly reflect
the real commands.

## Dangit, Git

If you're using the command line and run into a scenario that you don't know
how to fix, chances are that [Dangit, Git!?!](https://dangitgit.com/) has a
solution for you.
